9 Replies Latest reply on Jun 19, 2009 1:31 PM by Danny Starmer

    Saving Drawing settings

    Chevis Watkinson
      I have been given a drawing which has all the settings I want as a template. i.e arrow sizes, text orientation.... and so on. How do I save these setting so that when I start a new drawing them are there. Or open an exisitng drawing and replace the old settings with the new ones.

      Thanks.
        • Saving Drawing settings
          Garrett Brooks
          To save a template
          File>Save As
          Save as type: Drawing Templates .drwdot
          save to the same directory as your current templates and when starting a new file it will be in the templates list.

          You can also save the Sheet Format separately if you want
          File>Save sheet format
          This controls the sheet size and the title block
          this in normally changed by right clicking on the drawing sheet and selecting Properties

          the only way quick way I know of to change units, arrow sizes, text of an existing drawing is to use a macro. I am sure you can find more extensive examples if you look at some of the SolidWorks Bloggers sites that have lots of macros posted but here is a quick example of a VBA .swp macro

          Dim swApp As SldWorks.SldWorks
          Dim Part As SldWorks.ModelDoc2


          Sub MAIN()

          Set swApp = Application.SldWorks
          Set Part = swApp.ActiveDoc

          Part.SetUserPreferenceIntegerValue swUnitSystem, swUnitSystem_Custom 'CUSTOM UNITS SYSTEM
          Part.SetUnits swFEETINCHES, swFRACTION, 16, 0, True 'FEET-INCHES 1/16 4 DIGITS ROUND
          Part.SetUserPreferenceDoubleValue swDetailingDimFontHeight, 0.0254 / 8 '1/8"
          Part.SetUserPreferenceIntegerValue swUnitsMassPropMass, swUnitsMassPropMass_Pounds 'SETS MASS PROPERTIES TO POUNDS
          Part.SetUserPreferenceIntegerValue swUnitsMassPropDecimalPlaces, 2 'SETS MASS PROPERTIES TO 2 DECIMAL PLACES
          Part.SetUserPreferenceIntegerValue swDetailingDimensionStandard, swDetailingStandardANSI 'ANSI STANDARD
          Part.SetUserPreferenceIntegerValue swDetailingDimFractionStyle, swDetailingDimFractionStyle_Stack 'STACKED FRACTIONS
          Part.SetUserPreferenceIntegerValue swDetailingDimFractionScaleIndex, swDetailingDimFractionScale_100Percent 'FRACTION SIZE
          Part.SetUserPreferenceToggle swGridDisplay, False 'GRID OFF
          Part.SetUserPreferenceToggle swDetailingDisplayAlternateSection, True 'ALTERNATE SECTION VIEW
          Part.SetUserPreferenceDoubleValue swDetailingDimBentLeaderLength, 0.003175 'DIM BENT LEADER LENGTH 2.54/100/8
          Part.SetUserPreferenceToggle swUnitsLinearFeetAndInchesFormat, True 'TURNS ON 2'-4"
          Part.SetUserPreferenceDoubleValue swDetailingArrowHeight, 0.0015875 'ARROW HEIGHT 2.54/100/16
          Part.SetUserPreferenceDoubleValue swDetailingArrowLength, 0.0047625 'ARROW LENGTH (2.54/100/16) * 3
          Part.SetUserPreferenceDoubleValue swDetailingArrowWidth, 0.003175 'ARROW WIDTH 2.54/100/8
          End Sub


          • Saving Drawing settings
            Chevis Watkinson
            Thanks guys, this is great! if you ever need help with renderings let me know!
              • Saving Drawing settings
                Patrick Underwood
                What I would like to know is, how do I get Solidworks to simply SAVE THE SETTINGS I ASK FOR?

                You have to do PROGRAMMING and run SCRIPTS to get your preferences set in Solidworks?

                I've saved templates, I've saved templates within templates, and I STILL get freakin' Century Gothic.

                Sorry about the caps. But somewhere in a chain of hundreds of checkboxes, there's a checkbox I didn't check. Or a template within a template within a template I didn't save. Or something.
              • Saving Drawing settings
                Deepak Gupta
                That's a nice pic Anna